/*
 * adc.h
 *
 *  Created on: Jul 27, 2024
 *      Author: true
 */

#ifndef USER_SRC_ADC_H_
#define USER_SRC_ADC_H_



void adc_init();

void adc_config_lsens();

void adc_convert();
void adc_read();

void adc_use_lsens();
void adc_reset_lsens();

uint8_t adc_get_pot();
uint16_t adc_get_lsens();



#endif /* USER_SRC_ADC_H_ */
